Subject: [TLS] Re: Scope of the IAB's appeal response
From: Nadim Kobeissi <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 14 Jul 2026 16:18:06 +0300
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

Hi everyone,

I got an informative answer to my question:

It appears that the appeal was about the decision to adopt draft-connolly-tls-mlkem-key-agreement as a working-group document (which is how it became draft-ietf-...). Now it's about publishing the resulting TLS WG Internet Draft as an informational RPC.

Thanks to the person who clarified this to me. Sharing this here in case others find this helpful.

I apologize for my confusion on this subject and appreciate the clarification. It was an honest mistake.

Nadim Kobeissi

Symbolic Software • https://symbolic.software

On 14 Jul 2026, at 3:36 PM, Nadim Kobeissi <[email-masked]> wrote:

If the determination of rough consensus of the WGLC from earlier this year is real and legitimate and not overturned or anything like that, then why was a subsequent WGLC held and concluded just last week? Why didn’t we just adopt during the one from earlier this year and settle the matter then and there?

I would appreciate an explanation and apologize in advance if I’m missing anything obvious.

Thanks,

Nadim Kobeissi

Symbolic Software • https://symbolic.software

On 14 Jul 2026, at 2:52 PM, IAB Chair <[email-masked]> wrote:

TLS WG,

The IAB notes that its response to Daniel J. Bernstein’s 2026-04-24 appeal is being cited in ongoing working group discussion. To prevent that response from being read more broadly than intended, the IAB offers the clarification below. It takes no position on any other matter now before the WG, its chairs, or the IESG.

The IAB denied the appeal. It did not find that the chairs' determination of rough consensus to adopt fell outside the discretion that RFC 2418 affords them, nor that the responsible AD and the IESG acted outside their process role in declining to overturn that determination.

The relevant observation regarding the responsible AD was narrow. The IAB noted that the initial characterization of the adoption call by the responsible AD did not accurately describe the record, and that a more precise account followed. It was offered as encouragement to chairs and ADs to take care when summarizing participant responses. The observation concerned the accuracy of that account, not the intent behind it. It was not a finding that the responsible AD acted in bad faith, engaged in misconduct, or breached the IETF’s conduct norms.

The IAB has also seen its response read as reaching conclusions it did not state. The IAB did not determine that consensus to adopt was absent, nor did it overturn any consensus call. Its response should not be read as reaching conclusions on matters beyond the appeal, including the subsequent working group last call or the fact that a different Area Director became responsible for the working group.

Dhruv Dhody,

(as IAB Chair, for the IAB)

_______________________________________________
TLS mailing list -- [email-masked]
To unsubscribe send an email to [email-masked]

_______________________________________________
TLS mailing list -- [email-masked]
To unsubscribe send an email to [email-masked]